---
title: "Create an order (legacy)"
slug: "create-an-order--legacy-"
abstract: "Describes how to create an order using the Sitecore CDP Order REST API."
---
# Create an order (legacy)

> [!important]
> [A newer version of this REST API (v2.1) is available](https://api-docs.sitecore.com/cdp/order-rest-api). If you're new to this REST API, use the new version. Alternatively, if you're already using the old version, [read about the differences between v2 and v2.1](https://doc.sitecore.com/cdp/en/developers/api/rest-apis/legacy-rest-apis/order-rest-api-v2--legacy-/differences-between-v2-and-v2-1-of-the-order-rest-apis.html "Differences between v2 and v2.1 of the Order REST APIs") so you can upgrade.

`POST /v2/orders`

Creates an order.

At a minimum, you must provide the following required attributes in the request body:

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `pointOfSale` | string | The point of sale used in the order. | `"spinflight.com", "spinair.com"` |
| `currencyCode` | string (uppercase [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217#Active_codes)) | The currency the guest used to complete a purchase. Set this to the organization’s default currency. | `"EUR", "NZD","USD"` |
| `price` | number (currency) | The amount paid for the order. | `50, 30.6` |
| `orderedAt` | string ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)) | The date and time the order was made. | `"2026-01-01T16:`17:16`.000Z"` |
| `referenceId` | string | A unique ID generated by your organization to reference the order. For flight orders, this is often the PNR. | `"B94TXY-1"` |

In the response, `ref` contains the order reference.

```curl
curl -X POST <baseURL>/v2/orders' \
-u '<username>:<password>' \
-H 'Accept: application/json' \
--data-raw '
{
    "pointOfSale": "spinair.com/france",
    "channel": "WEB",
    "currencyCode": "EUR",
    "price": 12,
    "orderedAt": "2026-12-19T12:`07:18`.149Z",
    "referenceId": "B94TXY-1",
    "paymentType": "Card",
    "cardType": "Visa",
    "status": "PURCHASED"
}'

```

```json
{
    "href": "<baseURL>/v2/orders/15d0417e-75a8-4340-9052-51b9ca36aab0",
    "ref": "15d0417e-75a8-4340-9052-51b9ca36aab0",
    "createdAt": "2026-12-19T12:`19:01`.268Z",
    "modifiedAt": "2026-12-19T12:`19:01`.268Z",
    "orderedAt": "2026-12-19T12:`07:18`.149Z",
    "currencyCode": "EUR",
    "price": 12,
    "referenceId": "B94TXY-1",
    "paymentType": "Card",
    "cardType": "Visa",
    "pointOfSale": "spinair.com/france",
    "channel": "WEB",
    "status": "PURCHASED",
    "contacts": {
        "items": [...]
    },
    "consumers": {
        "items": [...]
    },
    "orderItems": {
        "items": [...]
    }
}

```